Debian Bug report logs - #211777
request for 'aboot-cross' package to help d-i work

version graph

Package: aboot; Maintainer for aboot is Steve Langasek <vorlon@debian.org>;

Reported by: Steve Langasek <vorlon@netexpress.net>

Date: Sat, 20 Sep 2003 05:18:02 UTC

Severity: wishlist

Tags: fixed

Found in version 0.9-1.1

Fixed in version aboot/0.9b-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gwj@debian.org (Gregory W. Johnson):
Bug#211777; Package aboot. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
New Bug report received and forwarded. Copy sent to gwj@debian.org (Gregory W. Johnson). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: submit@bugs.debian.org
Subject: request for 'aboot-cross' package to help d-i work
Date: Sat, 20 Sep 2003 00:11:46 -0500
[Message part 1 (text/plain, inline)]
Package: aboot
Version: 0.9-1.1
Severity: wishlist

Creating bootable CDs for the alpha architecture requires use of the
'isomarkboot' command after the iso image has been constructed.  Since
the Debian netinst CD images are commonly created on non-alpha systems,
it would be helpful to have an aboot-cross package containing those
portions of the package that it makes sense to run on alien
architectures.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Tags added: fixed Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gwj@debian.org (Gregory W. Johnson):
Bug#211777; Package aboot. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to gwj@debian.org (Gregory W. Johnson). Full text and rfc822 format available.

Message #12 received at 211777@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: 211777@bugs.debian.org
Cc: gwj@debian.org, Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>, Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Subject: Re: request for 'aboot-cross' package to help d-i work
Date: Sat, 10 Jan 2004 19:54:23 -0600
[Message part 1 (text/plain, inline)]
Ok, well, the BTS is quite sluggish today, and hasn't even acknowledged
my last bug report against aboot yet (6h+ later), so I'll cc: everybody
on this.  I'm stating my intent to NMU aboot, to fix up a number of
issues.  The changelog is as follows; the full diff is attached.

  * Non-maintainer upload.
  * Fix package split so that aboot-cross isn't needed on alpha,
    and aboot-base isn't attempted on non-alpha systems (in spite of
    being arch: all).
  * Put srmbootfat and isomarkboot both in /usr/bin, for consistency.
  * Fix package priorities/sections to match archive overrides.
  * Reorder headers in lib/isolib.c, needed for building on i386.
  * Change aboot.conf from a conffile to maintainer script-managed
    config file, so that aboot-installer can do its job.

Helge, I've added a note in README.Debian about the change in the
aboot-cross vs. aboot split.  For the time being, I'm leaving both
srmbootfat and isomarkboot in /usr/bin, with the logic that if
srmbootfat can be considered useful in a cross-arch environment, it
*must* have non-admin applications, so belongs in /usr/bin as much as
the next tool.  The manpages are also in section 1, because this is the
man section corresponding to /usr/bin.

Gregory, are you still interested in maintaining this package?  We seem
to have something of a de facto co-maintenance team developing here,
which I'd welcome your participation in.  Certainly, one way or the
other I'd like to know that aboot is being actively maintained; so if
you aren't interested in the package anymore, you have a willing
adopter.

Cheers,
-- 
Steve Langasek
postmodern programmer
[aboot-nmu2.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gwj@debian.org (Gregory W. Johnson):
Bug#211777; Package aboot. Full text and rfc822 format available.

Acknowledgement sent to gjohnson@superweasel.com (Greg Johnson):
Extra info received and forwarded to list. Copy sent to gwj@debian.org (Gregory W. Johnson). Full text and rfc822 format available.

Message #17 received at 211777@bugs.debian.org (full text, mbox):

From: gjohnson@superweasel.com (Greg Johnson)
To: Steve Langasek <vorlon@netexpress.net>
Cc: 211777@bugs.debian.org, gwj@debian.org, Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>, Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Subject: Re: request for 'aboot-cross' package to help d-i work
Date: Wed, 14 Jan 2004 09:46:10 -0700
On Sat, Jan 10, 2004 at 07:54:23PM -0600, Steve Langasek wrote:
> Gregory, are you still interested in maintaining this package?  We seem
> to have something of a de facto co-maintenance team developing here,
> which I'd welcome your participation in.  Certainly, one way or the
> other I'd like to know that aboot is being actively maintained; so if
> you aren't interested in the package anymore, you have a willing
> adopter.

Sorry for the slow response, I was away.  I am willing to give up
maintainership of aboot if you want to take it.  I have not been
actively running my alpha lately.  Thanks for the NMU's.   

Greg



Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@netexpress.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 211777-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 211777-close@bugs.debian.org
Subject: Bug#211777: fixed in aboot 0.9b-1
Date: Wed, 05 May 2004 23:32:04 -0400
Source: aboot
Source-Version: 0.9b-1

We believe that the bug you reported is fixed in the latest version of
aboot, which is due to be installed in the Debian FTP archive:

aboot-base_0.9b-1_all.deb
  to pool/main/a/aboot/aboot-base_0.9b-1_all.deb
aboot_0.9b-1.diff.gz
  to pool/main/a/aboot/aboot_0.9b-1.diff.gz
aboot_0.9b-1.dsc
  to pool/main/a/aboot/aboot_0.9b-1.dsc
aboot_0.9b-1_alpha.deb
  to pool/main/a/aboot/aboot_0.9b-1_alpha.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 211777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated aboot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 May 2004 19:43:19 -0500
Source: aboot
Binary: aboot aboot-cross aboot-base
Architecture: source all alpha
Version: 0.9b-1
Distribution: unstable
Urgency: low
Maintainer: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 aboot      - Linux bootloader for the SRM console
 aboot-base - base files required for bootable media on Linux/Alpha
Closes: 57804 127303 149840 173620 205864 211777 225938 228235
Changes: 
 aboot (0.9b-1) unstable; urgency=low
 .
   * New maintainer.
   * Build all our tools with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64",
     so they can handle accessing files > 4GB (e.g., DVD images for
     isomarkboot) (closes: #228235).
   * Include patch from Chris Lumens (upstream) for building with
     additional flags (e.g. "-g").
   * Enable noopt in DEB_BUILD_OPTIONS build with "-g" always for now; also
     stripping can be disabled now.
   * Enable the all-package to be build on non-alpha archs as well
     (typo & thinko in debian/rules).
   * FOREIGN for building on non-alpha archs is gone, it was not necessary.
   * Conflict aboot with aboot-cross as the latter package
     is no longer build on Alpha but contained in aboot.
   * Fixed dependencies (dropped woody only docbook2man)
   * Added SRM-HOWTO (and updated description) built from SGML sources and
     added into doc-base.
   * Removed source diff target in rules file
   * Turn off DH_VERBOSE, so our builds are a bit more palatable
   * Don't forget to create the 'boot' directory in the install target
   * Fix the srmbootfat manpage's section (8->1)
   * Updated TODO list.
   * Improved & split man pages for srmbootfat/srmbootraw.
   * Clarified copyright (we are using a stable upstream release).
   * Slightly updated isomarkboot.sgml
   * Include netboot patch from
     Soohoon Lee <soohoon.lee@api-networks.com> (closes: #127303).
 .
 aboot (0.9b-0.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix package split so that aboot-cross isn't needed on alpha,
     and aboot-base isn't attempted on non-alpha systems (in spite of
     being arch: all).
   * Put srmbootfat and isomarkboot both in /usr/bin, for consistency.
   * Fix package priorities/sections to match archive overrides.
   * Reorder headers in lib/isolib.c, needed for building on i386.
   * Change aboot.conf from a conffile to maintainer script-managed
     config file, so that aboot-installer can do its job.
 .
 aboot (0.9b-0.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Change the order of docbook2man and docbook-utils in the
     build-depends list, to satisfy the autobuilders. Closes: #225938
 .
 aboot (0.9b-0.1) unstable; urgency=low
 .
   *  NMU.
   *  Upgraded to 0.9b.
   *  Switched from dh_installmanpages to dh_installman.
   *  Included latest version of all man pages. Closes: #57804
   *  All man pages are now created at build time from their sgml source.
   *  Updated README.Debian -- upstream maintainer is now Will Woods -- and
      copyright -- home page is sourceforge now --.
   *  Move isomarkboot to /usr/bin and the manpage into section 1
   *  Include upstream changelog
   *  Upgraded to standards version 3.6.1.0. Partially support DEB_BUILD_OPTIONS.
   *  Split package into three packages to enable isomarkboot to be used on
      other archs (e.g. for d-i); since we run into conflicts with two
      packages three were needed, where aboot-base just contains common files
      needed for booting (which need to be built on alpha). Closes: #211777
   *  We depend on "linux-kernel-headers" to properly build isomarkboot,
      patched "include/utils.h" to properly include the "asm"-headers
   *  Patched "lib/Makefile" to only use "no-fp-regs" for isomarkboot if
      building for alpha
   *  Added srmbootfat and srmbootraw from the milo package
      http://www.suse.de/~stepan/source/milo-2.2-18.tar.bz2
      The man page was slightly updated (spell checking, formatting, SEE ALSO).
      Closes: #173620
      Applied a patch from Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>
      to get_fat_entry in srmbootfat/srmbootfat.c to make it portable
   *  Stole patches from CVS HEAD/Jeff.Wiedemeier@hp.com for USB console and
      to check kernel memory against console memory descriptors.
      These two patches should allow booting on Wildfire.
   *  Disable check for vol-set-size in lib/isolib.c as sets of volumes are
      perfectly fine. For explanation of this term, see e.g. section 4.16 and
      4.17 in http://www.y-adagio.com/public/standards/iso_cdromr/sect_1.htm
      Closes: #149840
   *  Added extra-args patch from RedHat/Will Wood to allow calls like
      dka0 -fl "0 console=ttyS0"
      This will be in the next official aboot release as well.
 .
 aboot (0.9-1.1) unstable; urgency=low
 .
   * NMU.
   * Use -fno-builtin-printf when compiling, so we don't end up with
     references to gcc's implementation.  Closes: 205864
Files: 
 f7b07d916db59cbc7d7026384b9dc1e4 692 base standard aboot_0.9b-1.dsc
 00c35c192d320bb005ad9bead7043d2c 135070 base standard aboot_0.9b.orig.tar.gz
 45404803ef075a68edfbf4b211f758bd 54342 base standard aboot_0.9b-1.diff.gz
 5de8b627a92e2c0001e08c4e1ee047e2 78316 admin optional aboot-base_0.9b-1_all.deb
 ab66e280a16540518c6dc04d29f3b83a 60380 base standard aboot_0.9b-1_alpha.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFAma/WKN6ufymYLloRAv71AJ9vGWCNA7JiYZovxl9oApYSj20I7gCgwbWw
1BcFO3XqVTRS7ngd+G+YUaE=
=l16W
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:13:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.